---
title: WebGLRenderingContext.getProgramInfoLog()
slug: Web/API/WebGLRenderingContext/getProgramInfoLog
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong>WebGLRenderingContext.getProgramInfoLog</strong> returns the information log for the specified {{domxref("WebGLProgram")}} object. It contains errors that occurred during failed linking or validation of <code>WebGLProgram</code> objects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>gl</em>.getProgramInfoLog(<em>program</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>program</code></dt>
 <dd>The {{domxref("WebGLProgram")}} to query.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("DOMString")}} that contains diagnostic messages, warning messages, and other information about the last linking or validation operation. When a {{domxref("WebGLProgram")}} object is initially created, its information log will be a string of length 0.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Checking_program_errors">Checking program errors</h3>

<pre class="brush: js">var program = gl.createProgram();

// Attach pre-existing shaders
gl.attachShader(program, vertexShader);
gl.attachShader(program, fragmentShader);

gl.linkProgram(program);

gl.getProgramInfoLog(program);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.9", "getProgramInfoLog")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glGetProgramInfoLog.xml", "glGetProgramInfoLog")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.getProgramInfoLog")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getShaderInfoLog()")}}</li>
 <li>{{domxref("WebGLRenderingContext.getError()")}}</li>
</ul>
